Get Accounts by ID

Return the account transactions and balance information given an account alias, an account id, or an evm address.

This method will use 20 Compute Units.


Get account by alias, id, or evm address

get

Return the account transactions and balance information given an account alias, an account id, or an evm address. The information will be limited to at most 1000 token balances for the account as outlined in HIP-367. When the timestamp parameter is supplied, we will return transactions and account state for the relevant timestamp query. Balance information will be accurate to within 15 minutes of the provided timestamp query. Historical stake and reward information is not currently available so these fields contain current data. Historical ethereum nonce information is also currently not available and may not be the exact value at a provided timestamp.

Path parameters
idOrAliasOrEvmAddressstringRequired

Account alias or account id or evm address

Example: {"value":"HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQA"}Pattern: ^(\d{1,10}\.){0,2}(\d{1,10}|(0x)?[A-Fa-f0-9]{40}|(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8}))$
Query parameters
limitinteger · int32 · min: 1 · max: 100Optional

The maximum number of items to return

Default: 25Example: 2
orderundefined · enumOptional

The order in which items are listed

Default: descExample: ascPossible values:
timestampstring[]Optional

The consensus timestamp in seconds.nanoseconds format with an optional comparison operator

Example: {"summary":"--","value":""}
transactiontypestring · enumOptionalExample: cryptotransferPossible values:
transactionsbooleanOptional

If provided and set to false transactions will not be included in the response

Default: trueExample: true
Responses
chevron-right
200

OK

application/json
accountstring · nullableRequired

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
aliasstring · nullableRequired

RFC4648 no-padding base32 encoded account alias

Example: HIQQEXWKW53RKN4W6XXC4Q232SYNZ3SZANVZZSUME5B5PRGXL663UAQAPattern: ^(?:[A-Z2-7]{8})*(?:[A-Z2-7]{2}|[A-Z2-7]{4,5}|[A-Z2-7]{7,8})$
auto_renew_periodinteger · int64 · nullableRequired
created_timestampstring · nullableRequiredExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
decline_rewardbooleanRequired

Whether the account declines receiving a staking reward

deletedboolean · nullableRequired
ethereum_nonceinteger · int64 · nullableRequired
evm_addressstring · binary · min: 40 · max: 42 · nullableRequired

A network entity encoded as an EVM address in hex.

Example: 0x0000000000000000000000000000000000001f41Pattern: ^(0x)?[A-Fa-f0-9]{40}$
expiry_timestampstring · nullableRequiredExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
max_automatic_token_associationsinteger · int32 · nullableRequired
memostring · nullableRequired
pending_rewardinteger · int64Optional

The pending reward in tinybars the account will receive in the next reward payout. Note the value is updated at the end of each staking period and there may be delay to reflect the changes in the past staking period.

receiver_sig_requiredboolean · nullableRequired
staked_account_idall ofRequired
string · nullableOptional

Network entity ID in the format of shard.realm.num

Example: 0.1.2Pattern: ^\d{1,10}\.\d{1,10}\.\d{1,10}$
and
anyOptional

The account to which this account is staking

staked_node_idinteger · int64 · nullableRequired

The id of the node to which this account is staking

stake_period_startall ofRequired
string · nullableOptionalExample: 1586567700.453054000Pattern: ^\d{1,10}(\.\d{1,9})?$
and
anyOptional

The staking period during which either the staking settings for this account changed (such as starting staking or changing stakedNode) or the most recent reward was earned, whichever is later. If this account is not currently staked to a node, then the value is null

get
/api/v1/accounts/{idOrAliasOrEvmAddress}

Last updated

Was this helpful?